curl --request PUT \
--url https://dev.flextell.ai/api/v1/products/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"barcode": "<string>",
"description": "<string>",
"product_category_id": 123,
"product_brand_id": 123,
"product_type_id": 123,
"base_unit_code_id": 123,
"stock_tracking_mode": "base_unit",
"inner_unit_count": 1,
"base_unit_per_inner": 1,
"critical_stock_level": 1,
"invoice_name": "<string>",
"price": 1,
"tax_rate": "0",
"is_active": true
}
'{
"success": "<string>",
"data": {
"id": 123,
"tenant_id": 123,
"name": "<string>",
"full_name": "<string>",
"barcode": "<string>",
"description": "<string>",
"product_category_id": 123,
"product_brand_id": 123,
"product_type_id": 123,
"base_unit_code_id": 123,
"stock_tracking_mode": "<string>",
"inner_unit_count": 123,
"base_unit_per_inner": 123,
"critical_stock_level": 123,
"invoice_name": "<string>",
"price": 123,
"tax_rate": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"import_source": {
"id": 123,
"name": "<string>"
},
"brand": {
"id": 123,
"name": "<string>"
},
"product_type": {
"id": 123,
"name": "<string>",
"category": "<string>"
},
"category": {
"id": 123,
"name": "<string>"
},
"unit_code": {
"id": 123,
"name": "<string>",
"code": "<string>"
}
}
}The access token received from the authorization server in the OAuth 2.0 flow.
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
The product identifier
Product name.
255Product barcode (unique per tenant).
255Product description.
Product category.
Product brand.
Product type.
Base unit code.
Stock tracking mode.
base_unit, inner_unit, direct_unit Inner unit count (units per box or direct units).
x >= 0Base units per inner unit.
x >= 0Critical stock level.
x >= 0Invoice name override.
255Product price.
x >= 0Tax rate (KDV).
0, 1, 10, 20 Active status.
curl --request PUT \
--url https://dev.flextell.ai/api/v1/products/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"barcode": "<string>",
"description": "<string>",
"product_category_id": 123,
"product_brand_id": 123,
"product_type_id": 123,
"base_unit_code_id": 123,
"stock_tracking_mode": "base_unit",
"inner_unit_count": 1,
"base_unit_per_inner": 1,
"critical_stock_level": 1,
"invoice_name": "<string>",
"price": 1,
"tax_rate": "0",
"is_active": true
}
'{
"success": "<string>",
"data": {
"id": 123,
"tenant_id": 123,
"name": "<string>",
"full_name": "<string>",
"barcode": "<string>",
"description": "<string>",
"product_category_id": 123,
"product_brand_id": 123,
"product_type_id": 123,
"base_unit_code_id": 123,
"stock_tracking_mode": "<string>",
"inner_unit_count": 123,
"base_unit_per_inner": 123,
"critical_stock_level": 123,
"invoice_name": "<string>",
"price": 123,
"tax_rate": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"import_source": {
"id": 123,
"name": "<string>"
},
"brand": {
"id": 123,
"name": "<string>"
},
"product_type": {
"id": 123,
"name": "<string>",
"category": "<string>"
},
"category": {
"id": 123,
"name": "<string>"
},
"unit_code": {
"id": 123,
"name": "<string>",
"code": "<string>"
}
}
}